import { IChatThread, IChatThreadHistory, IChatThreadQuery, IGenAIChatEvaluation } from "@gooddata/sdk-backend-spi";
import { GenAIChatInteractionUserFeedback } from "@gooddata/sdk-model";
/**
 * Dummy chat thread interface for testing.
 * @internal
 */
export declare class DummyGenAIChatThread implements IChatThread {
    loadHistory(_fromInteractionId: string, { signal }: {
        signal?: AbortSignal;
    }): Promise<IChatThreadHistory>;
    reset(): Promise<void>;
    saveUserFeedback(_interactionId: string, _feedback: GenAIChatInteractionUserFeedback): Promise<void>;
    query(_userMessage: string): IChatThreadQuery;
}
/**
 * Dummy query builder for GenAI chat
 * @internal
 */
export declare class DummyGenAIChatQueryBuilder implements IChatThreadQuery {
    withSearchLimit(): IChatThreadQuery;
    withCreateLimit(): IChatThreadQuery;
    withUserContext(): IChatThreadQuery;
    query({ signal }: {
        signal?: AbortSignal;
    }): Promise<IGenAIChatEvaluation>;
    stream(): ReadableStream<IGenAIChatEvaluation>;
}
//# sourceMappingURL=DummyGenAIChatThread.d.ts.map